[Sumover-dev] [svn commit] r4871 - vic/branches/cc/cc

sumover-dev at cs.ucl.ac.uk sumover-dev at cs.ucl.ac.uk
Fri Jul 16 18:50:48 BST 2010


Author: soohyunc
Date: Fri Jul 16 18:50:48 2010
New Revision: 4871

Added:
   vic/branches/cc/cc/psnr.sh   (contents, props changed)

Log:
added a simple script to extract PSNR information from the trace files



Added: vic/branches/cc/cc/psnr.sh
==============================================================================
--- (empty file)
+++ vic/branches/cc/cc/psnr.sh	Fri Jul 16 18:50:48 2010
@@ -0,0 +1,19 @@
+#!/bin/sh
+# $Id$
+
+if [ -s trace.r ]
+then
+    TRACE=trace.r
+elif [ -s trace.s ]
+then
+    TRACE=trace.s
+else
+    echo ""
+    echo "no trace files available!"
+    echo ""
+    exit 1;
+fi
+
+grep PSNR $TRACE | awk '{print $5}' > psnr.tr
+awk 'begin {i = 0;} { print i++" "$1}' psnr.tr > psnr.xg
+



More information about the Sumover-dev mailing list